<!-- //////////////////////START-BRAND-LIST////////////////////////////// -->
<div class="card">
    <div class="card-header">
        <form role="form" method="GET" action="{{path_for('log-list')}}">
            <div class="row">
                <div class="col-lg-3 col-md-3 col-sm-3 col-sx-3 m-t-10">
                    <div class="input-group">
                        <span class="input-group-addon"><i class="zmdi zmdi-view-stream"></i></span>
                        <div class="fg-line">										
                            <select class="chosen" name="log_action" id="log_action" data-placeholder="Acción" title="Acción">
                                <option></option>
                                <option {% if selected.log_action=="INSERT" %} selected {% endif %} value="INSERT">Crear</option>
                                <option {% if selected.log_action=="DELETE" %} selected {% endif %} value="DELETE">Eliminar</option>
                                <option {% if selected.log_action=="UPDATE" %} selected {% endif %} value="UPDATE">Modificar</option>
                                <option {% if selected.log_action=="SELECT" %} selected {% endif %} value="SELECT">Ver</option>
                            </select>  
                        </div>
                    </div>
                </div>
                <div class="col-lg-3 col-md-3 col-sm-3 col-sx-3 m-t-10">
                    <div class="input-group">
                        <span class="input-group-addon"><i class="zmdi zmdi-account"></i></span>
                        <div class="fg-line">										
                            <select class="chosen" name="user_id" id="user_id" data-placeholder="Usuario" title="Usuario">
                                <option></option>
                                {% for user in users %}
                                    <option {% if user.user_id == selected.user_id %} selected {% endif %} value="{{user.user_id}}">{{user.fullname}}</option>
                                {% endfor %}
                            </select>  
                        </div>
                    </div>
                </div>

                <div class="col-lg-2 col-md-2 col-sm-2 col-sx-2 m-t-10">
                    <div class="input-group">
                        <span class="input-group-addon"><i class="zmdi zmdi-calendar"></i></span>
                        <div class="fg-line">										
                            <input type="text" class="date-picker form-control" name="fechadesde" id="fechadesde" value="{{selected.fechadesde}}" placeholder="Fecha desde">
                        </div>
                    </div>
                </div>
                <div class="col-lg-2 col-md-2 col-sm-2 col-sx-2 m-t-10">
                    <div class="input-group">
                        <span class="input-group-addon"><i class="zmdi zmdi-calendar"></i></span>
                        <div class="fg-line">										
                            <input type="text" class="date-picker form-control" name="fechahasta" id="fechahasta" value="{{selected.fechahasta}}" placeholder="Fecha hasta">
                        </div>
                    </div>
                </div>
                <div class="col-lg-2 col-md-2 col-sm-2 col-sx-2 m-t-10">
                    <button type="submit" class="btn btn-primary"><i class="zmdi zmdi-search"></i> Buscar</button>
                </div>
            </div>
        </form>
    </div>
</div>

<div class="card">
    <div class="card-header">
        <div class="row">
            <div class="col-sm-9">
                <h2>Listado de Log</h2>
            </div>
        </div>
        <br><br>
    </div>
    <div class="table-responsive">
        <table id="data-table-log" class="table table-striped table-condensed table-vmiddle">                          
            <thead>
                <tr>
                    <th data-column-id="id" data-type="numeric"  data-order="asc" data-identifier="true">#Nro</th>                                    
                    <th data-column-id="date">Fecha</th>
                    <th data-column-id="type">Tipo</th>
                    <th data-column-id="detail">Detalle</th>
                    <th data-column-id="action">Acción</th>
                    <th data-column-id="key">Llave</th>
                    <th data-column-id="value">Valor</th>
                    <th data-column-id="user">Usuario</th>
                </tr>
            </thead>
            <tbody>
                {% for log in logs %}
                    <tr>
                        <td>{{log.log_id}}</td>
                        <td>{{log.log_timestamp|date('d-m-Y H:i:s')}}</td>
                        <td>{{log.log_type}}</td>
                        <td>{{log.log_detail}}</td>
                        <td>
                            {% if log.log_action=="INSERT" %} 
                                Crear 
                            {% elseif log.log_action=="DELETE" %} 
                                Eliminar 
                            {% elseif log.log_action=="UPDATE" %} 
                                Modificar 
                            {% elseif log.log_action=="SELECT" %} 
                                Ver 
                            {% endif %}
                        </td>
                        <td>{{log.log_key}}</td>
                        <td>{{log.log_value}}</td>
                        <td>{{log.fullname}}</td>
                    </tr>
                {% else%}
                    <tr>
                        <td colspan="7"></td>
                    </tr>
                {% endfor %} 
            </tbody>
        </table>
    </div>
</div>
<!-- ////////////////////////////////////////////////////////////////// -->